Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.engine.model
Class EndStateModel

    java.lang.Object
      org.springframework.webflow.engine.model.AbstractModel
          org.springframework.webflow.engine.model.AbstractStateModel
              org.springframework.webflow.engine.model.EndStateModel

All Implemented Interfaces:
  Model

    public class EndStateModel

extends AbstractStateModel

Model support for end states.

Author:
  Scott Andrews

Constructor Summary
`EndStateModel(java.lang.String id)` Create an end state model

Method Summary
`Model` | `createCopy()` Create a deep copy of this model.
`java.lang.String` | `getCommit()`
`java.util.LinkedList` | `getOutputs()`
`java.lang.String` | `getView()`
`boolean` | `isMergeableWith(Model model)` Determine if the model is able to be merged into the current model
`void` | `merge(Model model)` Merge the model into the current model
`void` | `setCommit(java.lang.String commit)`
`void` | `setOutputs(java.util.LinkedList outputs)`
`void` | `setView(java.lang.String view)`

Methods inherited from class org.springframework.webflow.engine.model.AbstractStateModel
`fillCopy, getAttributes, getExceptionHandlers, getId, getOnEntryActions, getParent, getSecured, setAttributes, setExceptionHandlers, setId, setOnEntryActions, setParent, setSecured`

Methods inherited from class org.springframework.webflow.engine.model.AbstractModel
`copy, copyList, merge, merge, merge, merge, merge`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EndStateModel

    public EndStateModel(java.lang.String id)

  Create an end state model

  Parameters:
    `id` - the state identifier

Method Detail

### isMergeableWith

    public boolean isMergeableWith(Model model)

  Description copied from interface: `Model`
  Determine if the model is able to be merged into the current model

  Parameters:
    `model` - the model to compare
  Returns:
    true if able to merge

### merge

    public void merge(Model model)

  Description copied from interface: `Model`
  Merge the model into the current model

  Parameters:
    `model` - the model to merge with

### createCopy

    public Model createCopy()

  Description copied from interface: `Model`
  Create a deep copy of this model. Needed when merging models and collections.

  Returns:
    a deep copy of this model

### getView

    public java.lang.String getView()

  Returns:
    the view

### setView

    public void setView(java.lang.String view)

  Parameters:
    `view` - the view factory to set

### getCommit

    public java.lang.String getCommit()

  Returns:
    the commit

### setCommit

    public void setCommit(java.lang.String commit)

  Parameters:
    `commit` - the commit to set

### getOutputs

    public java.util.LinkedList getOutputs()

  Returns:
    the outputs

### setOutputs

    public void setOutputs(java.util.LinkedList outputs)

  Parameters:
    `outputs` - the outputs to set

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD